## ros-indigo-cob-navigation-global 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_navigation_global)

find_package(catkin REQUIRED)

catkin_package()

#############
## Install ##
#############

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############
SET(robotlist
    cob4-2
    cob4-5
    cob4-7
    raw3-1
    raw3-3
    raw3-5
)
    
if(CATKIN_ENABLE_TESTING)
  find_package(cob_default_env_config REQUIRED)
  find_package(roslaunch REQUIRED)
  foreach(robot ${robotlist})
    foreach(env ${cob_default_env_config_ENVLIST})
      message("testing for robot: ${robot} in env: ${env}")
      roslaunch_add_file_check(launch ROBOT=${robot} ROBOT_ENV=${env})     # testing environment variables
      roslaunch_add_file_check(launch robot:=${robot} robot_env:=${env})   # testing launch file arguments
    endforeach(env)
  endforeach(robot)
endif()

=== debian/changelog ===
ros-indigo-cob-navigation-global (0.6.7-0trusty) trusty; urgency=high



 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-navigation-global (0.6.6-0trusty) trusty; urgency=high

  * Merge pull request #97 <https://github.com/ipa320/cob_navigation/issues/97> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #91 <https://github.com/ipa320/cob_navigation/issues/91> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #89 <https://github.com/ipa320/cob_navigation/issues/89> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fez, ipa-fxm, ipa-uhr-mk

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-navigation-global (0.6.5-0trusty) trusty; urgency=high

  * remove nav config for unsupported bases
  * arg pkg_nav_config
  * refactoring env config
  * restructure nav config
  * use exported robotlist and envlist
  * remove dependency to eband_local_planner
  * remove cob4-1
  * remove obsolete configs due to unsupported robots
  * remove relays
  * cob4-5 setup
  * enable roslaunch checks (requires ros_comm #814 <https://github.com/ipa320/cob_navigation/issues/814> to be merged and released)
  * add dependency to dwa_local_planner (was not automatically installed using apt-get)
  * adapt global rviz config
  * put specific launch files in correct namespaces
  * first adaption of costmap parameters
  * remove eband planner launch and config files
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-cob4-5, ipa-fxm, ipa-mig

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-navigation-global (0.6.4-0trusty) trusty; urgency=high

  * remove slashes from frame_ids
  * restructure laser topics
  * adapt twist_mux topic names according to https://github.com/ipa320/orga/pull/1#issuecomment-159195427
  * moved collision_velocity_filter to base namespace
  * changed 2dnav_linear twist topic to twist_mux input topic
  * changed base command topic names to twist_mux topic input
  * removed scan_unifier from cob_navigation
  * Remap to command_safe for linear nav
    see discussion in https://github.com/ipa320/cob_navigation/pull/54
  * removed global prefix
  * use base  new name spaces
  * Contributors: Benjamin Maidel, Florian Weisshardt, ipa-fmw, ipa-fxm, ipa-mig, ipa-nhg

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-navigation-global (0.6.3-0trusty) trusty; urgency=high

  * remove trailing whitespace
  * migration to package format v2, indentation fixes
  * remove deprecated launchfiles
  * Contributors: ipa-mig

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-navigation-global (0.6.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-navigation-global (0.6.1-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-navigation-global (0.6.0-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * fix dependencies
  * Contributors: Florian Weisshardt

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Tue, 09 Sep 2014 22:00:00 -0000

ros-indigo-cob-navigation-global (0.5.2-0trusty) trusty; urgency=high

  * cob_navigation_global: add launch file argument to scan_unifier launch file for changing location of param file
  * renamed ipa_navigation_scan_uniffier to cob_scan_unifier
  * updated scan_unifier to parse scan_topics for subscription from parameter-server. added scan_unifier config-files for each robot. modified launch files for navigation and amcl to use scan_unifier
  * set minimal linear velocity in local_planner_eband.yaml to 0 to allow in place rotation
  * Update package.xml
  * Contributors: Florian Mirus, Florian Weisshardt, ipa-mig

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-navigation-global (0.5.1-0trusty) trusty; urgency=high

  * add changelog
  * version bump
  * adjust CMakeLists and package.xml
  * set author/maintainer email
  * remove leftover files from catkin migration
  * change config to groovy
  * Catkinisation and gitignore.
  * some config changes
  * added config files for eband
  * added launch files for eband planner
  * update tests
  * remove dep to cob_driver
  * add roslaunch tests
  * remove publishing of voxel-grid
  * Merge branch 'master', remote branch 'origin-ipa-mig-hm/master'
  * integrate changes of cob_navigation into new setup
  * Merge branch 'master' of github.com:ipa320/cob_navigation
  * fix navigation for cob
  * adjust launch files for planner config files and add launch arg to linear nav
  * introduce launch args
  * move ipa launch files to seperate folder
  * adjust roslaunch checks
  * added rviz launch files and config files
  * using voxel costmap for ros navigation
  * optimized parameters for platform movements, lowered control frequency
  * optimized parameters for platform movements, lowered control frequency
  * fix wiki links inf manifest.xml and stack.xml
  * rename safety topic to safe
  * update on xml-files for correct remapping and to delete old parameters
  * update of the manifest-files in cob_navigation_global/cob_navigation_local, cob_vel_integrator -> cob_base_velocity_smoother
  * removal of cob_base_velocity_smoother, moved to stack cob_driver
  * namechanges from cob_vel_integrator to cob_base_velocity_smoother
  * adjust manifests for documentation
  * update deps
  * fix roslaunch checks
  * integrate cob_vel_integrator yaml and fix wrong inclusions
  * merge branch raw3-1 into master
  * fix roslaunch tests
  * refactoring of cob_navigation_global
  * refactoring of cob_navigation_config; current cob_drivers required


=== debian/control ===
Source: ros-indigo-cob-navigation-global
Section: misc
Priority: extra
Maintainer: Felix Zeltner <fez@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cob-default-env-config, ros-indigo-cob-supported-robots, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/cob_navigation_global
Standards-Version: 3.9.2

Package: ros-indigo-cob-navigation-global
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-amcl, ros-indigo-cob-default-env-config, ros-indigo-cob-linear-nav, ros-indigo-cob-navigation-config, ros-indigo-cob-scan-unifier, ros-indigo-dwa-local-planner, ros-indigo-map-server, ros-indigo-move-base, ros-indigo-rviz, ros-indigo-topic-tools
Description: This package holds config and launch files for running the move_base node on the Care-O-bot.
 The move_base node is configured to run over a pre-specified static map.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-navigation-global//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
